Get a client's marketing consent status Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/account/{account_uuid}/marketing-consent/status

The current status per channel, or the status as it stood at a moment in the past.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • account_uuid string Required

    The UUID of the client account.

Query parameters

  • at string

    Return the status as of this ISO 8601 datetime. Current status when omitted.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • email string

      Marketing consent status for email. One of not_captured, opted_in and opted_out

    • phone string

      Marketing consent status for phone. One of not_captured, opted_in and opted_out

    • letter string

      Marketing consent status for letter. One of not_captured, opted_in and opted_out

    • sms string

      Marketing consent status for SMS. One of not_captured, opted_in and opted_out

  • 400 application/json

    Account is not a client

    Hide response attribute Show response attribute object
    • message string Required

      A human-readable description of the error.

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
GET /api/v1/account/{account_uuid}/marketing-consent/status
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/account/53f22fe4-3731-4cdc-aa12-e65bd0b15e52/marketing-consent/status' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "email": "opted_in",
  "phone": "opted_out",
  "letter": "not_captured",
  "sms": "not_captured"
}
Response examples (400)
{
  "message": "Marketing consent is only recorded for client accounts."
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}